gnutls_x509_crt_check_issuer(3)

NAME
gnutls_x509_crt_check_issuer - API function

SYNOPSIS
#include <gnutls/x509.h>

unsigned gnutls_x509_crt_check_issuer(gnutls_x509_crt_t cert, gnutls_x509_crt_t issuer);

ARGUMENTS

gnutls_x509_crt_t cert
    is the certificate to be checked

gnutls_x509_crt_t issuer
    is the certificate of a possible issuer

DESCRIPTION
This function will check if the given certificate was issued by the given issuer. It checks the DN fields and the authority key identifier and subject key identifier fields match. If the same certificate is provided at the cert and issuer fields, it will check whether the certificate is self-signed.

RETURNS
It will return true (1) if the given certificate is issued by the given issuer, and false (0) if not.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/